%{?nodejs_find_provides_and_requires}

%global packagename pkg-up
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-pkg-up
Version:	3.1.0
Release:	2%{?dist}
Summary:	Find the closest package.json file

License:	MIT
URL:		https://github.com/sindresorhus/pkg-up.git
Source0:	https://github.com/sindresorhus/pkg-up/archive/v%{version}/%{packagename}-%{version}.tar.gz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(find-up)
BuildRequires:	npm(locate-path)
BuildRequires:	npm(p-locate)
BuildRequires:	npm(p-limit)
BuildRequires:	npm(p-try)
BuildRequires:	npm(path-exists)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(xo)
%endif

Requires:	nodejs

%description
Find the closest package.json file


%prep
%setup -q -n %{packagename}-%{version}

%nodejs_fixdep find-up

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Dec 25 2019 Sérgio Basto <sergio@serjux.com> - 3.1.0-2
- Bump

* Tue Dec 24 2019 Sérgio Basto <sergio@serjux.com> - 3.1.0-1
- Update to 3.1.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 20 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-2
- Allow newer version of npm(find-up)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
